
module "market-app-with-ecs-image" {
  source = "terraform-aws-modules/market-app-with-ecs-image/aws"
  version = "1.1.0"
  address_type = var.address_type
  allocate_public_ip = var.allocate_public_ip
  bandwidth = var.bandwidth
  bind_domain = var.bind_domain
  create_instance = var.create_instance
  create_slb = var.create_slb
  data_disks = var.data_disks
  deletion_protection = var.deletion_protection
  dns_record = var.dns_record
  domain_name = var.domain_name
  ecs_instance_name = var.ecs_instance_name
  ecs_instance_password = var.ecs_instance_password
  ecs_instance_type = var.ecs_instance_type
  existing_slb_id = var.existing_slb_id
  frontend_port = var.frontend_port
  image_id = var.image_id
  instance_port = var.instance_port
  instance_weight_in_server_group = var.instance_weight_in_server_group
  internet_charge_type = var.internet_charge_type
  internet_max_bandwidth_out = var.internet_max_bandwidth_out
  master_zone_id = var.master_zone_id
  number_of_instance = var.number_of_instance
  private_ip = var.private_ip
  product_keyword = var.product_keyword
  product_suggested_price = var.product_suggested_price
  product_supplier_name_keyword = var.product_supplier_name_keyword
  profile = var.profile
  region = var.region
  resource_group_id = var.resource_group_id
  security_group_ids = var.security_group_ids
  shared_credentials_file = var.shared_credentials_file
  skip_region_validation = var.skip_region_validation
  slave_zone_id = var.slave_zone_id
  slb_internet_charge_type = var.slb_internet_charge_type
  slb_name = var.slb_name
  slb_spec = var.slb_spec
  slb_tags = var.slb_tags
  system_disk_category = var.system_disk_category
  system_disk_size = var.system_disk_size
  tags = var.tags
  use_existing_slb = var.use_existing_slb
  virtual_server_group_name = var.virtual_server_group_name
  volume_tags = var.volume_tags
  vswitch_id = var.vswitch_id
}
